Bind callback function to HTTP server by event name.

- « Swoole\Http\Server

- Swoole\Http\Server::start »

- PHP Manual
- Swoole\Http\Server
- Bind callback function to HTTP server by event name.

# Swoole\Http\Server::on

(PECL swoole >= 1.9.0)

Swoole\Http\Server::on — Bind callback function to HTTP server by event name.

### Description

public Swoole\Http\Server::on(string `$event_name`, callable `$callback`): void

Bind callback function to HTTP server by event name.

### Parameters

`event_name`

`callback`

### Return Values